CVE-2019-1077

MEDIUM

Description

An elevation of privilege vulnerability exists when the Visual Studio updater service improperly handles file permissions, aka 'Visual Studio Elevation of Privilege Vulnerability'.

References

https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2019-1077

Details

Source: MITRE

Published: 2019-07-15

Updated: 2019-07-19

Type: CWE-264

Risk Information

CVSS v2.0

Base Score: 6.6

Vector: AV:L/AC:L/Au:N/C:N/I:C/A:C

Impact Score: 9.2

Exploitability Score: 3.9

Severity: MEDIUM

CVSS v3.0

Base Score: 5

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:H/A:N

Impact Score: 3.6

Exploitability Score: 1.3

Severity: MEDIUM